summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjfarrell <jfarrell@apache.org>2015-09-24 22:57:33 -0400
committerjfarrell <jfarrell@apache.org>2015-09-24 22:58:45 -0400
commita1ae93f4beee0d25a96b51b3022e0bde79ecb445 (patch)
tree4d326a8526c2c8bd824f33266d12d2911bfccfae
parent27be411ee0eb8799861262275c9745017031c3c4 (diff)
downloadthrift-a1ae93f4beee0d25a96b51b3022e0bde79ecb445.tar.gz
THRIFT-3290: Using from in variable names causes the generated Python code to have errors
Client: py Patch: Prathik Rajendran Adds 'from' to the reserved words list for py This closes #579
-rw-r--r--compiler/cpp/src/thriftl.ll1
-rwxr-xr-xtest/py/explicit_module/runtest.sh1
-rw-r--r--test/py/explicit_module/test3.thrift25
3 files changed, 27 insertions, 0 deletions
diff --git a/compiler/cpp/src/thriftl.ll b/compiler/cpp/src/thriftl.ll
index 08b5c597d..a77126973 100644
--- a/compiler/cpp/src/thriftl.ll
+++ b/compiler/cpp/src/thriftl.ll
@@ -239,6 +239,7 @@ literal_begin (['\"])
"float" { thrift_reserved_keyword(yytext); }
"for" { thrift_reserved_keyword(yytext); }
"foreach" { thrift_reserved_keyword(yytext); }
+"from" { thrift_reserved_keyword(yytext); }
"function" { thrift_reserved_keyword(yytext); }
"global" { thrift_reserved_keyword(yytext); }
"goto" { thrift_reserved_keyword(yytext); }
diff --git a/test/py/explicit_module/runtest.sh b/test/py/explicit_module/runtest.sh
index 2e5a4f1be..6d7346283 100755
--- a/test/py/explicit_module/runtest.sh
+++ b/test/py/explicit_module/runtest.sh
@@ -22,6 +22,7 @@
rm -rf gen-py
../../../compiler/cpp/thrift --gen py test1.thrift || exit 1
../../../compiler/cpp/thrift --gen py test2.thrift || exit 1
+../../../compiler/cpp/thrift --gen py test3.thrift && exit 1 # Fail since test3.thrift has python keywords
PYTHONPATH=./gen-py python -c 'import foo.bar.baz' || exit 1
PYTHONPATH=./gen-py python -c 'import test2' || exit 1
PYTHONPATH=./gen-py python -c 'import test1' &>/dev/null && exit 1 # Should fail.
diff --git a/test/py/explicit_module/test3.thrift b/test/py/explicit_module/test3.thrift
new file mode 100644
index 000000000..154786bf8
--- /dev/null
+++ b/test/py/explicit_module/test3.thrift
@@ -0,0 +1,25 @@
+/*
+ * Licensed to the Apache Software Foundation (ASF) under one
+ * or more contributor license agreements. See the NOTICE file
+ * distributed with this work for additional information
+ * regarding copyright ownership. The ASF licenses this file
+ * to you under the Apache License, Version 2.0 (the
+ * "License"); you may not use this file except in compliance
+ * with the License. You may obtain a copy of the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ * KIND, either express or implied. See the License for the
+ * specific language governing permissions and limitations
+ * under the License.
+ */
+
+namespace py validations
+
+struct from {
+ 1: i32 def;
+}
+